*{
  box-sizing: border-box;
  font-family: Helvetica, sans-serif;
}


body{
  background-color: #F9F9F1 ;
  border : solid 5px #F4D35E;
}

.title{
  text-align: center;
  font-weight: bold;
  color: #EE964B;
  padding: 20px;
}

// Search bar
.container {
  align-items: center;
  display: flex;
  justify-content: center;
  margin-bottom: 40px;
}


.searchInputWrapper {
  position: relative;
}

.searchInput {
  width: 20rem;
  height: 2rem;
  padding: 0 1rem;
  border-radius: 2rem;
  font-size: 16px;
  border: none;
  transition: transform 0.1s ease-in-out;
}

::placeholder {
  color: #a1a1a1;
}

/* hide the placeholder text on focus */
:focus::placeholder {
  text-indent: -999px
}

.searchInput:focus {
  outline: none;
  transform: scale(1.1);
  transition: all 0.1s ease-in-out;
}

.searchInputIcon {
  position: absolute;
  right: 0.8rem;
  top: 0.5rem;
  color: #a1a1a1;
  transition: all 0.1s ease-in-out;
}

.container:focus-within >
.searchInputWrapper > .searchInputIcon {
  right: 0.2rem;
}




// Calendar
.weekAgenda{
  color: #083D77;
  font-weight: 600;
  display: flex;
  justify-content: space-around;
  padding-bottom: 100px;
}

.dayAgenda{
  height: 60vh;
  width : 25vh;
  background: #1a2e95;
  border-radius: 20px;
  gap: 20px;
  text-align: center;
  padding: 10px;
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: center;
}

.module{
  padding: 3vh;
  background-color : #EE964B;
  border-radius: 20px;
  color: #F9F9F1;
  font-weight: bold;
  transition-duration: 500ms;
  cursor: pointer;
}

.titleDay{
  color : #fffdfc;
  font-weight: bold;
  font-size:17px;
}

.detailBlock{
  height: 100vh;
  display: flex;
  flex-direction: column;
  gap: 60px;
  justify-content: center;
  align-items: center;

}

button{
  cursor: pointer;
  padding: 20px 40px 20px 40px;
  font-size: 18px;
  background: #083D77;
  color: #F9F9F1;
  border-radius: 20px;
}

.detailCard{
  transition-duration: 500ms;
  width: 500px;
  height: 300px;
  background: #EE964B;
  border-radius: 20px;
  color : #ffffff;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
}
